Bug 1336236 - hammer can't create external groups based on IPA/IdM integration
Summary: hammer can't create external groups based on IPA/IdM integration
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: Unspecified
Assignee: Dominik Hlavac Duran
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Keywords: Triaged
: 1448179 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-15 23:37 UTC by Paul Armstrong
Modified: 2019-04-01 20:26 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 18:53:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15286 None None None 2016-06-03 15:48 UTC
Red Hat Bugzilla 1417015 None CLOSED [RFE] From hammer cli, creating external user-group does not have any option --auth-source-name as a input parameter. 2019-04-02 02:46 UTC
Red Hat Bugzilla 1448179 None CLOSED Hammer auth-source didn't list all sources 2019-04-02 02:46 UTC

Internal Trackers: 1417015 1448179

Description Paul Armstrong 2016-05-15 23:37:18 UTC
Description of problem:
hammer user-group external create requires auth_source_id which is not available when configuring IPA/IdM integration with 
katello-installer --foreman-ipa-authentication=true


Version-Release number of selected component (if applicable):
6.1.8

How reproducible:
Always

Steps to Reproduce:
1. ipa-client-install
2. katello-installer --foreman-ipa-authentication=true
3. hammer user-group create --name=dummy --role-ids=1,2,3,4
User group [dummy] created
4. hammer user-group external create --name=dummy --user-group=dummy

Actual results:

Could not create external user group:
  Missing arguments for 'auth_source_id'

--- No value of auth_source_id works

Expected results:

External group [dummy] created

Additional info:

[root@sat6 /]# hammer auth-source ldap list
---|------|--------|------|------------
ID | NAME | LDAPS? | PORT | SERVER TYPE
---|------|--------|------|------------

Comment 1 Bryan Kearney 2016-06-03 15:48:51 UTC
Created redmine issue http://projects.theforeman.org/issues/15286 from this bug

Comment 2 Bryan Kearney 2016-06-03 16:17:47 UTC
Upstream bug component is Provisioning

Comment 4 Bryan Kearney 2016-06-06 08:15:31 UTC
Upstream bug component is Users & Roles

Comment 5 pm-sat@redhat.com 2017-04-25 10:07:01 UTC
Upstream bug assigned to jmagen@redhat.com

Comment 6 pm-sat@redhat.com 2017-07-13 14:06:58 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 7 pm-sat@redhat.com 2017-07-13 14:07:02 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 8 Paul Armstrong 2017-11-24 16:08:16 UTC
Did this magically appear somewhere along the road??

[root@sat6 parmstro]# hammer user-group external --help
Usage:
    hammer user-group external [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 create                        Create an external user group linked to a user group
 delete                        Delete an external user group
 info                          Show an external user group for user group
 list                          List all external user groups for user group
 refresh                       Refresh external user group
 update                        Update external user group

Options:
 -h, --help                    print help

Comment 9 Francisco Garcia 2017-11-25 02:43:03 UTC
Hi Paul,

I believe this BZ is its way to be fulfilled, however it doesn't fully work in 6.2.12 as of today. When you issue something like :

% hammer user-group external create --name IDM-Group --user-group Satellite-Group --auth-source-id 3

... you still have no means to check what your auth-source-id should be. Currently API does not expose non-LDAP auth sources (and thus hammer).

Comment 10 Paul Armstrong 2017-11-27 14:02:16 UTC
Hi All,

I think that you were typing "on its way to being fulfilled" and had a typing skip. Thanks! Is there any way to prioritize this? We need this for automation when building environments that integrate IdM. I really would hate to have to run a sql query to get this - it is just wrong. (External id = 4 in my DB today)

Cheers,

Paul

Comment 11 pm-sat@redhat.com 2018-03-20 12:07:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15286 has been resolved.

Comment 12 Sanket Jagtap 2018-06-28 10:48:49 UTC
Build: Satellite 6.4.0 snap9

-bash-4.2$ psql -d foreman -c "select id,name,type from auth_sources;"
 id |    name     |        type        
----+-------------+--------------------
  1 | Internal    | AuthSourceInternal
  2 | Hidden      | AuthSourceHidden
  3 | win2012R2AD | AuthSourceLdap
  5 | External    | AuthSourceExternal
(4 rows)

[root@sgi-uv20-01 ~]# hammer auth-source list
---|-------------|--------------------
ID | NAME        | TYPE OF AUTH SOURCE
---|-------------|--------------------
1  | Internal    | AuthSourceInternal 
3  | win2012R2AD | AuthSourceLdap     
5  | External    | AuthSourceExternal 
---|-------------|--------------------

hammer> user-group create --name foobar
User group [foobar] created.

hammer> user-group external create --auth-source-id 5 --name foobargroup --user-group foobar
External user group created.

hammer> user-group external list --user-group foobar
---|-------------|------------
ID | NAME        | AUTH SOURCE
---|-------------|------------
1  | foobargroup | External   
---|-------------|------------

Comment 13 Marek Hulan 2018-07-02 13:53:36 UTC
*** Bug 1448179 has been marked as a duplicate of this bug. ***

Comment 14 Bryan Kearney 2018-10-16 18:53:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.